#
# Copyright (c) Microsoft Corporation.
# Licensed under the MIT License.
#
"""
Add trial_runner_id column.

Revision ID: f83fb8ae7fc4
Revises: d2a708351ba8
Create Date: 2025-01-03 21:25:48.848196+00:00
"""
# pylint: disable=no-member

from collections.abc import Sequence

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision: str = "f83fb8ae7fc4"
down_revision: str | None = "d2a708351ba8"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    """The schema upgrade script for this revision."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("trial", sa.Column("trial_runner_id", sa.Integer(), nullable=True, default=None))
    # ### end Alembic commands ###


def downgrade() -> None:
    """The schema downgrade script for this revision."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("trial", "trial_runner_id")
    # ### end Alembic commands ###
